apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2024-10-14T06:54:22.24655213Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '3152743'
  name: mtv-rhel8-warm-2disks2nics-ceph-rbd
  uid: 2bd00f7c-109c-49a1-b13e-06905dfd13d8
  creationTimestamp: '2024-10-12T09:53:51Z'
  generation: 6
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:architecture': {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:bios': {}
                  'f:serial': {}
                'f:machine':
                  .: {}
                  'f:type': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources':
                  .: {}
                  'f:requests':
                    .: {}
                    'f:memory': {}
              'f:networks': {}
      manager: forklift-controller
      operation: Update
      time: '2024-10-12T09:53:51Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2024-10-12T09:53:52Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:template':
            'f:spec':
              'f:domain':
                'f:devices':
                  'f:disks': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2024-10-14T06:53:57Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:running': {}
      manager: virt-api
      operation: Update
      time: '2024-10-14T06:54:22Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2024-10-14T06:55:02Z'
  namespace: mtv-test-ns1
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 9e86b3aa-fe7e-4ce3-8b9f-a9180f176312
    plan: 91795793-511f-4322-a949-7dbc1a32f195
    vmID: 9cc24ab7-a71c-49ab-9215-338c1f51b4eb
spec:
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: mtv-rhel8-warm-2disks2nics-ceph-rbd
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - disk:
                bus: virtio
              name: vol-0
            - disk:
                bus: virtio
              name: vol-1
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - bridge: {}
              macAddress: '00:50:56:9c:46:3e'
              model: virtio
              name: net-0
            - macAddress: '00:50:56:9c:46:60'
              masquerade: {}
              model: virtio
              name: net-1
        firmware:
          bootloader:
            bios: {}
          serial: 421cd77f-7e0d-060c-fa3a-3df1eb266d2a
        machine:
          type: q35
        memory:
          guest: 2Gi
        resources:
          requests:
            memory: 2Gi
      networks:
        - multus:
            networkName: mtv-test-ns1/mybridge1
          name: net-0
        - name: net-1
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: mtv-plan-1297-9cc24ab7-a71c-49ab-9215-338c1f51b4eb-tm57g
        - name: vol-1
          persistentVolumeClaim:
            claimName: mtv-plan-1297-9cc24ab7-a71c-49ab-9215-338c1f51b4eb-6ct8p
status:
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2024-10-14T06:54:30Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: '2024-10-14T06:55:02Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  created: true
  desiredGeneration: 6
  observedGeneration: 6
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: true
      name: vol-0
    - enabled: true
      name: vol-1
